<?php

require_once("../includes/clase_sesion.php");
$sesion = new sesion(); // inicio la sesion
require_once("../includes/funciones_generales.php");
if (!comprobar_sesion()) {
    $ar = array();
    $ar['error'] = 'session';
    echo json_encode($ar);
    exit;
}
require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST, AC_CONN_USER, AC_CONN_PASS, AC_CONN_DB . "" . $sesion->get('anio'));

if (isset($_POST['oper'])) {
    $acction = $_POST['oper'];
    $codigo = escapar($_POST['id'], 'int'); //codigo del regidtro

    $nomasi = escapar($_POST['nombre'], 'text');
    $abrasi = escapar($_POST['abr']);
    $codarea = escapar($_POST['txt_area'], 'int');
    $pri = escapar($_POST['pri'], 'int');

    switch ($acction) {
        case 'del':
            $sql = "delete from `aca_asignaturas`  where cod_asi='$codigo'";
            break;
        case 'edit';
            $sql = "UPDATE aca_asignaturas SET  nom_asi = '$nomasi', abr_asi = '$abrasi', cod_area ='$codarea', pri_asi='$pri' WHERE cod_asi = '$codigo';";
            break;
        case 'add':
            $sql = "INSERT INTO aca_asignaturas (nom_asi, abr_asi, cod_area, pri_asi) VALUES ('$nomasi', '$abrasi', '$codarea','$pri')";
            break;
        default:
            $sql = "";
    }
   #echo $sql;
    if ($sql != '') {
        $academia->instruccion($sql);
        if ($acction == 'add') {
            $codigo = $academia->ultima_fila();
            $rta = array('error' => $academia->extraer_error(), 'id' => $codigo);
            //echo json_encode($rta);
        } else {
            $rta = array('error' => $academia->extraer_error(), 'id' => $codigo);
            //echo json_encode($rta);
        }


        echo json_encode($rta);
    }
}
$academia->cerrar();
?>